summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andreo F. Rissardo2021-03-20 00:11:58 +0100
committer Willy Sudiarto Raharjo2021-03-20 05:00:46 +0100
commitd66c341f9679560feb2bc9d41f16ec2502b6af5a (patch)
treee563f659b22c4d57cde1bf675979eefde9e633fd
parent535c8df46acc1dd5ed13dd470165fd427a36cce7 (diff)
downloadslackbuilds-d66c341f9679560feb2bc9d41f16ec2502b6af5a.tar.gz
network/fdns: Added (Firejail DNS-over-HTTPS Proxy Server)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/fdns/README12
-rw-r--r--network/fdns/fdns.SlackBuild98
-rw-r--r--network/fdns/fdns.info10
-rw-r--r--network/fdns/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/network/fdns/README b/network/fdns/README
new file mode 100644
index 0000000000..7fd34b88c5
--- /dev/null
+++ b/network/fdns/README
@@ -0,0 +1,12 @@
+FDNS
+
+FDNS was designed to run as a local DoH proxy on a Linux desktop,
+or as a server for a small network. Lean and mean, it protects the
+computers against some of the most common cyber threats, all while
+improving the privacy and the system performance.
+
+FDNS is written in C and licensed under GPLv3. The number one job
+is privacy. We use only DoH services from non-logging providers,
+while preferring small operators such as open-source enthusiasts
+and privacy-oriented non-profit organizations.
+
diff --git a/network/fdns/fdns.SlackBuild b/network/fdns/fdns.SlackBuild
new file mode 100644
index 0000000000..e15d2deab2
--- /dev/null
+++ b/network/fdns/fdns.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for fdns
+
+#
+# Copyright 2020 Andreo F. Rissardo <andreotec@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fdns
+VERSION=${VERSION:-0.9.62}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+sed -i "s|lib/fdns|lib${LIBDIRSUFFIX}/fdns|" Makefile
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp $TMP/$PRGNAM-$VERSION/{COPYING,README,RELNOTES} $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/fdns/fdns.info b/network/fdns/fdns.info
new file mode 100644
index 0000000000..648a2f4700
--- /dev/null
+++ b/network/fdns/fdns.info
@@ -0,0 +1,10 @@
+PRGNAM="fdns"
+VERSION="0.9.62"
+HOMEPAGE="https://firejaildns.wordpress.com/"
+DOWNLOAD="https://github.com/netblue30/fdns/releases/download/v0.9.62/fdns-0.9.62.tar.xz"
+MD5SUM="54024101181e84174c164853ca086b48"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libseccomp"
+MAINTAINER="Andreo F. Rissardo"
+EMAIL="andreotec@gmail.com"
diff --git a/network/fdns/slack-desc b/network/fdns/slack-desc
new file mode 100644
index 0000000000..8b7421c005
--- /dev/null
+++ b/network/fdns/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fdns: fdns (Firejail DNS-over-HTTPS Proxy Server)
+fdns:
+fdns: FDNS was designed to run as a local DoH proxy on a Linux desktop,
+fdns: or as a server for a small network. Lean and mean, it protects the
+fdns: computers against some of the most common cyber threats, all while
+fdns: improving the privacy and the system performance. FDNS is written in
+fdns: C and licensed under GPLv3. The number one job is privacy. The number
+fdns: one job is privacy.
+fdns:
+fdns: https://firejaildns.wordpress.com
+fdns: